A .config/-- => .config/-- +0 -0
D .config/doom/config.el => .config/doom/config.el +0 -92
@@ 1,92 0,0 @@
-;;; $DOOMDIR/config.el -*- lexical-binding: t; -*-
-;; ____ ___ ___ __ __ ____ __ _
-;;| _ \ / _ \ / _ \| \/ | / ___|___ _ __ / _(_) __ _
-;;| | | | | | | | | | |\/| | | | / _ \| '_ \| |_| |/ _` |
-;;| |_| | |_| | |_| | | | | | |__| (_) | | | | _| | (_| |
-;;|____/ \___/ \___/|_| |_| \____\___/|_| |_|_| |_|\__, |
-;; |___/
-;;by: eduardo
-
-;; Name/Email
-(setq user-full-name "eduardo"
- user-mail-address "edbn@proton.me")
-
-;; Fonts
-(setq doom-font (font-spec :family "Fira Code" :size 18)
- doom-variable-pitch-font (font-spec :family "Cantarell") ; inherits `doom-font''s :size
- doom-big-font (font-spec :family "Fira Code" :size 25))
-
-(setq doom-modeline-height 40)
-(set-face-attribute 'mode-line nil :family "Fira Sans" :height 160)
-(set-face-attribute 'mode-line-inactive nil :family "Fira Sans" :height 160)
-
-;; Theme
-(setq doom-theme 'doom-dracula)
-
-;; Line Numbers
-(setq display-line-numbers-type t)
-
-;; change org-directory
-(setq org-directory "~/doc/org/")
-
-;; change settings
-(use-package! org
- :config
- (setq org-ellipsis " ▾"
- org-hide-emphasis-markers t))
-
-;; org-superstar
-(use-package! org-superstar
- :after org
- :hook (org-mode . org-superstar-mode)
- :custom
- (org-superstar-remove-leading-stars t)
- (org-superstar-headline-bullets-list '("◉" "○" "●" "○" "●" "○" "●")))
-
-;; file extensions
-
-(setq org-file-apps
- '((auto-mode . emacs)
- ("\\.x?html?\\'" . "firefox %s")
- ("\\.pdf\\'" . "zathura \"%s\"")
- ("\\.djvu\\'" . "zathura \"%s\"")
- ("\\.epub\\'" . "zathura \"%s\"")
- ))
-
-;; Whether display the `lsp' state. Non-nil to display in the mode-line.
-(setq doom-modeline-lsp t)
-
-;; How to detect the project root.
-;; nil means to use `default-directory'.
-;; The project management packages have some issues on detecting project root.
-;; e.g. `projectile' doesn't handle symlink folders well, while `project' is unable
-;; to hanle sub-projects.
-;; You can specify one if you encounter the issue.
-(setq doom-modeline-project-detection 'auto)
-
-;; Whether display the environment version.
-(setq doom-modeline-env-version t)
-
-;; Using garbage magic hack.
- (use-package! gcmh
- :config
- (gcmh-mode 1))
-;; Setting garbage collection threshold
-(setq gc-cons-threshold 402653184
- gc-cons-percentage 0.6)
-
-;; Profile emacs startup
-(add-hook 'emacs-startup-hook
- (lambda ()
- (message "*** Emacs loaded in %s with %d garbage collections."
- (format "%.2f seconds"
- (float-time
- (time-subtract after-init-time before-init-time)))
- gcs-done)))
-
-(with-eval-after-load 'flycheck
- (setq-default flycheck-disabled-checkers '(emacs-lisp-checkdoc)))
-
-;; Silence compiler warnings as they can be pretty disruptive (setq comp-async-report-warnings-errors nil)
-
-(eval-when-compile (defvar emacs-root))
D .config/doom/config.org => .config/doom/config.org +0 -150
@@ 1,150 0,0 @@
-#+TITLE: DOOM Emacs Config
-#+PROPERTY: header-args :tangle config.el
-
-
-* Indice :TOC:
-- [[#config-header][Config Header]]
-- [[#nameemail][Name/Email]]
-- [[#fonts][Fonts]]
-- [[#theme-and-visuals][Theme and Visuals]]
- - [[#theme][Theme]]
- - [[#line-numbers][Line Numbers]]
-- [[#org-mode][Org Mode]]
- - [[#org][org]]
- - [[#org-superstar][org-superstar]]
- - [[#org-file-apps][org-file-apps]]
-- [[#lsp][LSP]]
-- [[#hacks][Hacks]]
-
-* Config Header
-#+begin_src emacs-lisp
-;;; $DOOMDIR/config.el -*- lexical-binding: t; -*-
-;; ____ ___ ___ __ __ ____ __ _
-;;| _ \ / _ \ / _ \| \/ | / ___|___ _ __ / _(_) __ _
-;;| | | | | | | | | | |\/| | | | / _ \| '_ \| |_| |/ _` |
-;;| |_| | |_| | |_| | | | | | |__| (_) | | | | _| | (_| |
-;;|____/ \___/ \___/|_| |_| \____\___/|_| |_|_| |_|\__, |
-;; |___/
-;;by: eduardo
-#+end_src
-* Name/Email
-#+begin_src emacs-lisp
-
-;; Name/Email
-(setq user-full-name "eduardo"
- user-mail-address "edbn@proton.me")
-
-#+end_src
-* Fonts
-#+begin_src emacs-lisp
-
-;; Fonts
-(setq doom-font (font-spec :family "Fira Code" :size 18)
- doom-variable-pitch-font (font-spec :family "Cantarell") ; inherits `doom-font''s :size
- doom-big-font (font-spec :family "Fira Code" :size 25))
-
-(setq doom-modeline-height 40)
-(set-face-attribute 'mode-line nil :family "Fira Sans" :height 160)
-(set-face-attribute 'mode-line-inactive nil :family "Fira Sans" :height 160)
-
-#+end_src
-* Theme and Visuals
-** Theme
-#+begin_src emacs-lisp
-
-;; Theme
-(setq doom-theme 'doom-dracula)
-
-#+end_src
-** Line Numbers
-#+begin_src emacs-lisp
-
-;; Line Numbers
-(setq display-line-numbers-type t)
-
-#+end_src
-* Org Mode
-** org
-#+begin_src emacs-lisp
-
-;; change org-directory
-(setq org-directory "~/doc/org/")
-
-;; change settings
-(use-package! org
- :config
- (setq org-ellipsis " ▾"
- org-hide-emphasis-markers t))
-
-#+end_src
-** org-superstar
-#+begin_src emacs-lisp
-
-;; org-superstar
-(use-package! org-superstar
- :after org
- :hook (org-mode . org-superstar-mode)
- :custom
- (org-superstar-remove-leading-stars t)
- (org-superstar-headline-bullets-list '("◉" "○" "●" "○" "●" "○" "●")))
-
-#+end_src
-
-** org-file-apps
-#+begin_src emacs-lisp
-
-;; file extensions
-
-(setq org-file-apps
- '((auto-mode . emacs)
- ("\\.x?html?\\'" . "firefox %s")
- ("\\.pdf\\'" . "zathura \"%s\"")
- ("\\.djvu\\'" . "zathura \"%s\"")
- ("\\.epub\\'" . "zathura \"%s\"")
- ))
-#+end_src
-
-* LSP
-#+begin_src emacs-lisp
-
-;; Whether display the `lsp' state. Non-nil to display in the mode-line.
-(setq doom-modeline-lsp t)
-
-;; How to detect the project root.
-;; nil means to use `default-directory'.
-;; The project management packages have some issues on detecting project root.
-;; e.g. `projectile' doesn't handle symlink folders well, while `project' is unable
-;; to hanle sub-projects.
-;; You can specify one if you encounter the issue.
-(setq doom-modeline-project-detection 'auto)
-
-;; Whether display the environment version.
-(setq doom-modeline-env-version t)
-#+end_src
-* Hacks
-#+begin_src emacs-lisp
-
-;; Using garbage magic hack.
- (use-package! gcmh
- :config
- (gcmh-mode 1))
-;; Setting garbage collection threshold
-(setq gc-cons-threshold 402653184
- gc-cons-percentage 0.6)
-
-;; Profile emacs startup
-(add-hook 'emacs-startup-hook
- (lambda ()
- (message "*** Emacs loaded in %s with %d garbage collections."
- (format "%.2f seconds"
- (float-time
- (time-subtract after-init-time before-init-time)))
- gcs-done)))
-
-(with-eval-after-load 'flycheck
- (setq-default flycheck-disabled-checkers '(emacs-lisp-checkdoc)))
-
-;; Silence compiler warnings as they can be pretty disruptive (setq comp-async-report-warnings-errors nil)
-
-(eval-when-compile (defvar emacs-root))
-#+end_src
D .config/doom/init.el => .config/doom/init.el +0 -200
@@ 1,200 0,0 @@
-;;; init.el -*- lexical-binding: t; -*-
-
-;; This file controls what Doom modules are enabled and what order they load
-;; in. Remember to run 'doom sync' after modifying it!
-
-;; NOTE Press 'SPC h d h' (or 'C-h d h' for non-vim users) to access Doom's
-;; documentation. There you'll find a "Module Index" link where you'll find
-;; a comprehensive list of Doom's modules and what flags they support.
-
-;; NOTE Move your cursor over a module's name (or its flags) and press 'K' (or
-;; 'C-c c k' for non-vim users) to view its documentation. This works on
-;; flags as well (those symbols that start with a plus).
-;;
-;; Alternatively, press 'gd' (or 'C-c c d') on a module to browse its
-;; directory (for easy access to its source code).
-
-(doom! :input
- ;;chinese
- ;;japanese
- ;;layout ; auie,ctsrnm is the superior home row
-
- :completion
- (company +tng) ;the ultimate code completion backend
- ;;(helm +fuzzy +icons +childframe) ; the *other* search engine for love and life
- ;;ido ; the other *other* search engine...
- ;;ivy ; a search engine for love and life
- (vertico +icons) ; the search engine of the future
-
- :ui
- deft ; notational velocity for Emacs
- doom ; what makes DOOM look the way it does
- doom-dashboard ; a nifty splash screen for Emacs
- doom-quit ; DOOM quit-message prompts when you quit Emacs
- (emoji +unicode) ; 🙂
- hl-todo ; highlight TODO/FIXME/NOTE/DEPRECATED/HACK/REVIEW
- ;;hydra
- indent-guides ; highlighted indent columns
- (ligatures +fira) ; ligatures and symbols to make your code pretty again
- minimap ; show a map of the code on the side
- modeline ; snazzy, Atom-inspired modeline, plus API
- nav-flash ; blink cursor line after big motions
- neotree ; a project drawer, like NERDTree for vim
- ophints ; highlight the region an operation acts on
- (popup +defaults) ; tame sudden yet inevitable temporary windows
- tabs ; a tab bar for Emacs
- ;;treemacs ; a project drawer, like neotree but cooler
- ;;unicode ; extended unicode support for various languages
- vc-gutter ; vcs diff in the fringe
- vi-tilde-fringe ; fringe tildes to mark beyond EOB
- window-select ; visually switch windows
- ;;workspaces ; tab emulation, persistence & separate workspaces
- zen ; distraction-free coding or writing
-
- :editor
- (evil +everywhere); come to the dark side, we have cookies
- file-templates ; auto-snippets for empty files
- fold ; (nigh) universal code folding
- (format +onsave) ; automated prettiness
- ;;god ; run Emacs commands without modifier keys
- ;;lispy ; vim for lisp, for people who don't like vim
- multiple-cursors ; editing in many places at once
- ;;objed ; text object editing for the innocent
- ;;parinfer ; turn lisp into python, sort of
- ;;rotate-text ; cycle region at point between text candidates
- snippets
- ; my elves. They type so I don't have to
- ;;word-wrap ; soft wrapping with language-aware indent
-
- :emacs
- (dired +ranger +icons) ; making dired pretty [functional]
- ;; electric ; smarter, keyword-based electric-indent
- ibuffer ; interactive buffer management
- undo ; persistent, smarter undo for your inevitable mistakes
- vc ; version-control and Emacs, sitting in a tree
-
-
- :term
- eshell ; the elisp shell that works everywhere
- ;;shell ; simple shell REPL for Emacs
- ;;term ; basic terminal emulator for Emacs
- (vterm +vterm/toggle) ; the best terminal emulation in Emacs
-
- :checkers
- syntax ; tasing you for every semicolon you forget
- ;;(spell +flyspell) ; tasing you for misspelling mispelling
- ;;grammar ; tasing grammar mistake every you make
-
- :tools
- ;;ansible
- ;;biblio ; Writes a PhD for you (citation needed)
- (debugger +lsp) ; FIXME stepping through code, to help you add bugs
- ;;direnv
- docker
- ;;editorconfig ; let someone else argue about tabs vs spaces
- ;;ein ; tame Jupyter notebooks with emacs
- (eval +overlay) ; run code, run (also, repls)
- ;;gist ; interacting with github gists
- lookup ; navigate your code and its documentation
- (lsp +peek +eglot) ; M-x vscode
- magit ; a git porcelain for Emacs
- make ; run make tasks from Emacs
- ;;pass ; password manager for nerds
- ;;pdf ; pdf enhancements
- ;;prodigy ; FIXME managing external services & code builders
- rgb ; creating color strings
- ;;taskrunner ; taskrunner for all your projects
- ;;terraform ; infrastructure as code
- ;;tmux ; an API for interacting with tmux
- ;;upload ; map local to remote projects via ssh/ftp
- tree-sitter ; syntax and parsing, sitting in a tree...
-
- :os
- (:if IS-MAC macos) ; improve compatibility with macOS
- tty ; improve the terminal Emacs experience
-
- :lang
- ;;agda ; types of types of types of types...
- (beancount +lsp) ; mind the GAAP
- ;;cc ; C > C++ == 1
- ;;clojure ; java with a lisp
- common-lisp ; if you've seen one lisp, you've seen them all
- ;;coq ; proofs-as-programs
- ;;crystal ; ruby at the speed of c
- ;;csharp ; unity, .NET, and mono shenanigans
- data ; config/data formats
- ;;(dart +flutter) ; paint ui and not much else
- ;;dhall
- ;;elixir ; erlang done right
- (elm +lsp +tree-sitter) ; care for a cup of TEA?
- emacs-lisp ; drown in parenthese
- ;;erlang ; an elegant language for a more civilized age
- ;;ess ; emacs speaks statistics
- ;;factor
- ;;faust ; dsp, but you get to keep your soul
- ;;fsharp ; ML stands for Microsoft's Language
- ;;fstar ; (dependent) types and (monadic) effects and Z3
- ;;gdscript ; the language you waited for
- ;;go ; the hipster dialect
- ;;haskell ; a language that's lazier than I am
- ;;hy ; readability of scheme w/ speed of python
- ;;idris ; a language you can depend on
- (json +lsp +tree-sitter) ; At least it ain't XML
- ;;(java +meghanada) ; the poster child for carpal tunnel syndrome
- ;;javascript ; all(hope(abandon(ye(who(enter(here))))))
- ;;julia ; a better, faster MATLAB
- ;;(kotlin +lsp) ; a better, slicker Java(Script)
- (latex +lsp +fold) ; writing papers in Emacs has never been so fun
- ;;lean ; for folks with too much to prove
- ;;ledger ; be audit you can be
- (lua +lsp) ; one-based indices? one-based indices
- (markdown +grip) ; writing docs for people to ignore
- ;;nim ; python + lisp at the speed of c
- ;;nix ; I hereby declare "nix geht mehr!"
- ;;ocaml ; an objective camel
- (org ; organize your plain life in plain text
- +roam2
- +pretty
- +present
- +dragndrop)
-
- ;;php ; perl's insecure younger brother
- ;;plantuml ; diagrams for confusing people more
- ;;purescript ; javascript, but functional
- (python +pyenv) ; beautiful is better than ugly
- ;;qt ; the 'cutest' gui framework ever
- ;;racket ; a DSL for DSLs
- ;;raku ; the artist formerly known as perl6
- ;;rest ; Emacs as a REST client
- ;;rst ; ReST in peace
- ;;ruby ; 1.step {|i| p "Ruby is #{i.even? ? 'love' : 'life'}"}
- (rust +lsp) ; Fe2O3.unwrap().unwrap().unwrap().unwrap()
- ;;scala ; java, but good
- (scheme +guile +racket) ; a fully conniving family of lisps
- (sh +lsp) ; she sells {ba,z,fi}sh shells on the C xor
- ;;sml
- ;;solidity ; do you need a blockchain? No.
- ;;swift ; who asked for emoji variables?
- ;;terra ; Earth and Moon in alignment for performance.
- (web +lsp +tree-sitter) ; the tubes
- (yaml +lsp) ; JSON, but readable
- (zig +lsp +tree-sitter) ; C, but simpler
-
- :email
- ;;(mu4e +org +gmail)
- ;;notmuch
- ;;(wanderlust +gmail)
-
- :app
- calendar
- emms
- everywhere ; *leave* Emacs!? You must be joking
- ;;irc ; how neckbeards socialize
- ;;(rss +org) ; emacs as an RSS reader
- ;;twitter ; twitter client https://twitter.com/vnought
-
-
-
- :config
- literate
- (default +bindings +smartparens))
D .config/doom/packages.el => .config/doom/packages.el +0 -60
@@ 1,60 0,0 @@
-;; -*- no-byte-compile: t; -*-
-;;; $DOOMDIR/packages.el
-
-;; To install a package with Doom you must declare them here and run 'doom sync'
-;; on the command line, then restart Emacs for the changes to take effect -- or
-;; use 'M-x doom/reload'.
-;;
-
-;; To install SOME-PACKAGE from MELPA, ELPA or emacsmirror:
-;(package! some-package)
-
-;; Using garbage magic hack.
- (package! gcmh)
-
-;; Silence compiler warnings as they can be pretty disruptive (setq comp-async-report-warnings-errors nil)
-
-(package! fish-mode)
-
-
-;; To install a package directly from a remote git repo, you must specify a
-;; `:recipe'. You'll find documentation on what `:recipe' accepts here:
-;; https://github.com/raxod502/straight.el#the-recipe-format
-;(package! another-package
-; :recipe (:host github :repo "username/repo"))
-
-;; If the package you are trying to install does not contain a PACKAGENAME.el
-;; file, or is located in a subdirectory of the repo, you'll need to specify
-;; `:files' in the `:recipe':
-;(package! this-package
-; :recipe (:host github :repo "username/repo"
-; :files ("some-file.el" "src/lisp/*.el")))
-
-;; If you'd like to disable a package included with Doom, you can do so here
-;; with the `:disable' property:
-;(package! builtin-package :disable t)
-
-;; You can override the recipe of a built in package without having to specify
-;; all the properties for `:recipe'. These will inherit the rest of its recipe
-;; from Doom or MELPA/ELPA/Emacsmirror:
-;(package! builtin-package :recipe (:nonrecursive t))
-;(package! builtin-package-2 :recipe (:repo "myfork/package"))
-
-;; Specify a `:branch' to install a package from a particular branch or tag.
-;; This is required for some packages whose default branch isn't 'master' (which
-;; our package manager can't deal with; see raxod502/straight.el#279)
-;(package! builtin-package :recipe (:branch "develop"))
-
-;; Use `:pin' to specify a particular commit to install.
-;(package! builtin-package :pin "1a2b3c4d5e")
-
-
-;; Doom's packages are pinned to a specific commit and updated from release to
-;; release. The `unpin!' macro allows you to unpin single packages...
-;(unpin! pinned-package)
-;; ...or multiple packages
-;(unpin! pinned-package another-pinned-package)
-;; ...Or *all* packages (NOT RECOMMENDED; will likely break things)
-;(unpin! t)
-;
-
M .config/fish/config.fish => .config/fish/config.fish +9 -9
@@ 13,13 13,13 @@ end
set -U fish_user_paths /usr/leb/ccache/bin/ "$XDG_DATA_HOME/.cargo/bin" $fish_user_paths
#sway
-set -xU XDG_SESSION_TYPE sway
-set -xU XDG_SESSION_TYPE wayland
-set -xU QT_QPA_PLATFORM "wayland;xcb"
-set -xU CLUTTER_BACKEND wayland
-set -xU SDL_VIDEODRIVER wayland
-set -xU _JAVA_AWT_WM_NONREPARENTING 1
-set -xU MOZ_WAYLAND_ENABLED 1
+#set -xU XDG_SESSION_TYPE sway
+#set -xU XDG_SESSION_TYPE wayland
+#set -xU QT_QPA_PLATFORM "wayland;xcb"
+#set -xU CLUTTER_BACKEND wayland
+#set -xU SDL_VIDEODRIVER wayland
+#set -xU _JAVA_AWT_WM_NONREPARENTING 1
+#set -xU MOZ_WAYLAND_ENABLED 1
#Language Input config
set -xU GTK_IM_MODULE fcitx
@@ 36,8 36,8 @@ set -xU QT_AUTO_SCREEN_SCALE_FACTOR 0
set -xU QT_SCALE_FACTOR 1
#default programs
-set -xU EDITOR neovim
-set -xU TERMINAL alacritty
+set -xU EDITOR nvim
+set -xU TERMINAL gnome-terminal
set -xU BROWSER firefox
#set -xU variables
A .config/fish/fish_variables => .config/fish/fish_variables +83 -0
@@ 0,0 1,83 @@
+# This file contains fish universal variable definitions.
+# VERSION: 3.0
+SETUVAR --export ANDROID_HOME:/home/eduardo/\x2elocal/share/android
+SETUVAR --export BROWSER:firefox
+SETUVAR --export CABAL_CONFIG:/home/eduardo/\x2econfig/cabal/config
+SETUVAR --export CABAL_DIR:/home/eduardo/\x2elocal/share/cabal
+SETUVAR --export CARGO_HOME:/home/eduardo/\x2elocal/share/cargo
+SETUVAR --export DEFAULT_RECIPIENT:edbn\x40proton\x2eme
+SETUVAR --export EDITOR:nvim
+SETUVAR --export GHCUP_USE_XDG_DIRS:true
+SETUVAR --export GNUPGHOME:/home/eduardo/\x2elocal/share/gnupg
+SETUVAR --export --path GOPATH:/home/eduardo/\x2elocal/share/go
+SETUVAR --export GRADLE_USER_HOME:/home/eduardo/\x2elocal/share/gradle
+SETUVAR --export GTK2_RC_FILES:/home/eduardo/\x2econfig/gtk\x2d2\x2e0/gtkrc
+SETUVAR --export GTK_IM_MODULE:fcitx
+SETUVAR --export GTK_RC_FILES:/home/eduardo/\x2econfig/gtk\x2d1\x2e0/gtkrc
+SETUVAR --export GVIMINIT:let\x20\x24MYGVIMRC\x20\x3d\x20\x21has\x28\x22nvim\x22\x29\x20\x3f\x20\x22\x24XDG_CONFIG_HOME/vim/gvimrc\x22\x20\x3a\x20\x22\x24XDG_CONFIG_HOME/nvim/init\x2egvim\x22\x20\x7c\x20so\x20\x24MYGVIMRC
+SETUVAR --export HISTFILE:/home/eduardo/\x2elocal/state/bash/history
+SETUVAR --export IPYTHONDIR:/home/eduardo/\x2econfig/jupyter
+SETUVAR --export JUPYTER_CONFIG_DIR:/home/eduardo/\x2econfig/jupyter
+SETUVAR --export KDEHOME:/home/eduardo/\x2econfig/kde
+SETUVAR --export LC_CTYPE:ja_JP\x2eUTF\x2d8
+SETUVAR --export MYSQL_HISTFILE:/home/eduardo/\x2elocal/share/mysql_history
+SETUVAR --export NODE_REPL_HISTORY:/home/eduardo/\x2elocal/share/node_repl_history
+SETUVAR --export NPM_CONFIG_USERCONFIG:/home/eduardo/\x2econfig/npm/npmrc
+SETUVAR --export NUGET_PACKAGES:/home/eduardo/\x2ecache/NuGetPackages
+SETUVAR --export NVM_DIR:/home/eduardo/\x2elocal/share/nvm
+SETUVAR --export OCTAVE_HISTFILE:/home/eduardo/\x2ecache/octave\x2dhsts
+SETUVAR --export OCTAVE_SITE_INITFILE:/home/eduardo/\x2econfig/octave/octaverc
+SETUVAR --export PARALLEL_HOME:/home/eduardo/\x2econfig/parallel
+SETUVAR --export PASSWORD_STORE_DIR:/home/eduardo/\x2elocal/share/pass
+SETUVAR --export PYENV_ROOT:/home/eduardo/\x2elocal/share/pyenv
+SETUVAR --export PYTHONSTARTUP:/home/eduardo/\x2econfig/python/pythonrc
+SETUVAR --export QT_AUTO_SCREEN_SCALE_FACTOR:0
+SETUVAR --export QT_IM_MODULE:fcitx
+SETUVAR --export QT_PLATFORMTHEME:qt5ct
+SETUVAR --export QT_PLATFORM_PLUGIN:qt5ct
+SETUVAR --export QT_QPA_PLATFORMTHEME:qt5ct
+SETUVAR --export QT_SCALE_FACTOR:1
+SETUVAR --export RUSTUP_HOME:/home/eduardo/\x2elocal/share/rustup
+SETUVAR --export SDL_IM_MODULE:fcitx
+SETUVAR --export TERM:xterm\x2d256color
+SETUVAR --export TERMINAL:gnome\x2dterminal
+SETUVAR --export TERMINFO:/home/eduardo/\x2elocal/share/terminfo
+SETUVAR --export TERMINFO_DIRS:/home/eduardo/\x2elocal/share/terminfo\x3a/usr/share/terminfo
+SETUVAR --export VIMINIT:let\x20\x24MYVIMRC\x20\x3d\x20\x21has\x28\x22nvim\x22\x29\x20\x3f\x20\x22\x24XDG_CONFIG_HOME/vim/vimrc\x22\x20\x3a\x20\x22\x24XDG_CONFIG_HOME/nvim/init\x2evim\x22\x20\x7c\x20so\x20\x24MYVIMRC
+SETUVAR --export WINEPREFIX:/home/eduardo/\x2elocal/share/wine
+SETUVAR --export XAUTHORITY:/run/user/1001/Xauthority
+SETUVAR --export XDG_CACHE_HOME:/home/eduardo/\x2ecache
+SETUVAR --export XDG_CONFIG_HOME:/home/eduardo/\x2econfig
+SETUVAR --export XDG_DATA_HOME:/home/eduardo/\x2elocal/share
+SETUVAR --export XDG_STATE_HOME:/home/eduardo/\x2elocal/state
+SETUVAR --export XMODIFIERS:\x40im\x3dfcitx
+SETUVAR --export ZDOTDIR:/home/eduardo/\x2econfig/zsh
+SETUVAR --export _JAVA_OPTIONS:\x2dDjava\x2eutil\x2eprefs\x2euserRoot\x3d/home/eduardo/\x2econfig/java
+SETUVAR __fish_initialized:3100
+SETUVAR fish_color_autosuggestion:555\x1ebrblack
+SETUVAR fish_color_cancel:\x2dr
+SETUVAR fish_color_command:005fd7
+SETUVAR fish_color_comment:990000
+SETUVAR fish_color_cwd:green
+SETUVAR fish_color_cwd_root:red
+SETUVAR fish_color_end:009900
+SETUVAR fish_color_error:ff0000
+SETUVAR fish_color_escape:00a6b2
+SETUVAR fish_color_history_current:\x2d\x2dbold
+SETUVAR fish_color_host:normal
+SETUVAR fish_color_host_remote:yellow
+SETUVAR fish_color_normal:normal
+SETUVAR fish_color_operator:00a6b2
+SETUVAR fish_color_param:00afff
+SETUVAR fish_color_quote:999900
+SETUVAR fish_color_redirection:00afff
+SETUVAR fish_color_search_match:bryellow\x1e\x2d\x2dbackground\x3dbrblack
+SETUVAR fish_color_selection:white\x1e\x2d\x2dbold\x1e\x2d\x2dbackground\x3dbrblack
+SETUVAR fish_color_status:red
+SETUVAR fish_color_user:brgreen
+SETUVAR fish_color_valid_path:\x2d\x2dunderline
+SETUVAR fish_pager_color_completion:\x1d
+SETUVAR fish_pager_color_description:B3A06D\x1eyellow
+SETUVAR fish_pager_color_prefix:normal\x1e\x2d\x2dbold\x1e\x2d\x2dunderline
+SETUVAR fish_pager_color_progress:brwhite\x1e\x2d\x2dbackground\x3dcyan
+SETUVAR fish_user_paths:/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/home/eduardo/\x2elocal/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/home/eduardo/\x2econfig/emacs/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/home/eduardo/\x2elocal/share/\x2ecargo/bin\x1e/usr/leb/ccache/bin/\x1e/\x2ecargo/bin
M .config/i3blocks/config => .config/i3blocks/config +6 -6
@@ 26,11 26,11 @@ color="#bd93f9"
command=~/.scripts/music-info
interval=1
-[iface]
-command=~/.scripts/iface
-color="#50fa7b"
-interval=10
-display_wifi_name=0
+#[iface]
+#command=~/.scripts/iface
+#color="#50fa7b"
+#interval=10
+#display_wifi_name=0
[bandwidth]
color="#50fa7b"
@@ 38,7 38,7 @@ command=~/.scripts/bandwidth2
interval=1
interval=persist
markup=pango
-LABEL=
+#LABEL=
[disk-info-root]
color="#bd93f9"
A .emacs.d/config.el => .emacs.d/config.el +241 -0
@@ 0,0 1,241 @@
+;; Remove initial buffer, set index file
+(setq inhibit-startup-message t)
+(setq initial-buffer-choice "index.org")
+
+;; Hide Scroll bar,menu bar, tool bar
+(scroll-bar-mode -1)
+(tool-bar-mode -1)
+(menu-bar-mode -1)
+
+(column-number-mode)
+
+(global-display-line-numbers-mode t)
+ ;; Enable line numbers for some modes
+(dolist (mode '(text-mode-hook
+ prog-mode-hook
+ conf-mode-hook))
+ (add-hook mode (lambda () (display-line-numbers-mode 1))))
+
+ ;; Override some modes which derive from the above
+(dolist (mode '(org-mode-hook
+ term-mode-hook
+ eshell-mode-hook))
+ (add-hook mode (lambda () (display-line-numbers-mode 0))))
+
+(use-package no-littering)
+
+;; no-littering doesn't set this by default so we must place
+;; auto save files in the same path as it uses for sessions
+(setq auto-save-file-name-transforms
+ `((".*" ,(no-littering-expand-var-file-name "auto-save/") t)))
+
+(use-package auto-package-update
+ :custom
+ (auto-package-update-interval 7)
+ (auto-package-update-prompt-before-update t)
+ (auto-package-update-hide-results t)
+ :config
+ (auto-package-update-maybe))
+
+(defun edbn/org-mode-setup ()
+ (org-indent-mode)
+ (visual-line-mode 1))
+
+ (use-package org
+ :ensure t
+ :hook (org-mode . edbn/org-mode-setup)
+ :config
+ (setq org-ellipsis " ▾"
+ org-hide-emphasis-markers t))
+
+ (use-package org-superstar
+ :ensure t
+ :after org
+ :hook (org-mode . org-superstar-mode)
+ :custom
+ (org-superstar-remove-leading-stars t)
+ (org-superstar-headline-bullets-list '("◉" "○" "●" "○" "●" "○" "●")))
+
+ (setq org-todo-keywords
+ '((sequence "TODO" "DOING" "|" "DONE")
+ (sequence "|" "CANCELED")
+ (sequence "|" "WAITING")))
+
+ (setq org-todo-keyword-faces
+ '(("TODO" . org-warning) ("WAITING" . "yellow")
+ ("CANCELED" . (:foreground "blue" :weight bold))))
+
+
+(global-set-key [C-return] 'org-insert-item)
+
+
+ (dolist (face '((org-level-1 . 1.2)
+ (org-level-2 . 1.1)
+ (org-level-3 . 1.05)
+ (org-level-4 . 1.0)
+ (org-level-5 . 1.1)
+ (org-level-6 . 1.1)
+ (org-level-7 . 1.1)
+ (org-level-8 . 1.1)))
+
+
+ (defun edbn/org-mode-visual-fill ()
+ (setq visual-fill-column-width 110
+ visual-fill-column-center-text t)
+ (visual-fill-column-mode 1))
+
+ (use-package visual-fill-column
+ :ensure t
+ :defer t
+ :hook (org-mode . edbn/org-mode-visual-fill))
+
+ (set-face-attribute (car face) nil :font "Cantarell" :weight 'regular :height (cdr face)))
+
+ (setq org-file-apps
+ '((auto-mode . emacs)
+ ("\\.x?html?\\'" . "firefox %s")
+ ("\\.pdf\\'" . "zathura \"%s\"")
+ ("\\.djvu\\'" . "zathura \"%s\"")
+ ("\\.epub\\'" . "foliate \"%s\"")
+ ))
+
+(org-babel-do-load-languages
+ 'org-babel-load-languages
+ '((emacs-lisp . t)
+ (python . t )
+ (shell . t )))
+(setq org-confirm-babel-evaluate nil)
+
+(use-package org-roam
+ :ensure t
+ :init
+ (setq org-roam-v2-ack t)
+ :custom
+ (org-roam-directory "~/Documentos/org/roam")
+ (org-roam-completion-everywhere t)
+ :bind (("C-c n l" . org-roam-buffer-toggle)
+ ("C-c n f" . org-roam-node-find)
+ ("C-c n i" . org-roam-node-insert)
+ :map org-mode-map
+ ("C-M-i" . completion-at-point))
+ :config
+ (org-roam-setup))
+
+(use-package flyspell-correct
+ :after flyspell
+ :bind (:map flyspell-mode-map ("C-q" . flyspell-correct-wrapper)))
+
+(use-package flyspell-correct-helm
+ :after flyspell-correct)
+
+(use-package neotree
+ :ensure t
+ :bind ("C-\\" . 'neotree-toggle)
+ :config
+ (setq neo-theme (if (display-graphic-p) 'icons 'arrow)))
+
+(use-package doom-modeline
+ :init (doom-modeline-mode 1)
+ :ensure t)
+
+(use-package rainbow-delimiters
+ :ensure t
+ :hook
+ (prog-mode . rainbow-delimiters-mode)
+ (org-mode . rainbow-delimiters-mode))
+
+(use-package doom-themes
+:defer t
+:ensure t)
+(load-theme 'doom-dracula t)
+(global-hl-line-mode t) ;; This highlights the current line in the buffer
+
+(use-package beacon ;; This applies a beacon effect to the highlighted line
+ :ensure t
+ :config
+ (beacon-mode 1))
+
+(use-package all-the-icons :ensure t)
+
+(set-frame-font "Fira Code 14" nil t)
+
+(use-package vertico
+ :ensure t
+ :config
+ (vertico-mode t)
+ (define-key vertico-map (kbd "RET") #'vertico-directory-enter)
+ (define-key vertico-map (kbd "DEL") #'vertico-directory-delete-word)
+ (define-key vertico-map (kbd "M-d") #'vertico-directory-delete-char))
+
+(add-hook 'prog-mode-hook #'display-line-numbers-mode)
+
+(use-package eglot
+ :ensure t
+ :config
+ (add-hook 'prog-mode-hook #'eglot-ensure)
+ (defalias 'start-lsp-server #'eglot))
+
+(use-package lsp-pyright
+ :ensure t
+ :hook (python-mode . (lambda ()
+ (require 'lsp-pyright)
+ (lsp)))) ; or lsp-deferred
+
+(add-hook 'prog-mode-hook #'flymake-mode)
+(setq help-at-pt-display-when-idle t)
+
+(use-package corfu
+ :ensure t
+ :config
+ (add-hook 'prog-mode-hook #'corfu-mode))
+
+(use-package diff-hl
+ :ensure t
+ :config
+ (add-hook 'prog-mode-hook #'diff-hl-mode))
+
+(use-package csharp-mode
+ :ensure t)
+
+(use-package json-mode
+ :ensure t)
+
+(use-package lua-mode
+ :ensure t)
+
+(use-package rust-mode
+ :ensure t)
+
+(use-package sly
+ :ensure t)
+
+(use-package yaml-mode
+ :ensure t)
+
+(use-package tex
+ :ensure auctex
+ :config
+ (setq TeX-auto-save t
+ TeX-parse-self t
+ TeX-master nil))
+
+(use-package markdown-mode
+ :ensure t)
+
+(use-package dashboard
+ :ensure t
+ :config
+ (dashboard-setup-startup-hook))
+
+(setq-default major-mode
+ (lambda () ; guess major mode from file name
+ (unless buffer-file-name
+ (let ((buffer-file-name (buffer-name)))
+ (set-auto-mode)))))
+(setq confirm-kill-emacs #'yes-or-no-p)
+(setq window-resize-pixelwise t)
+(setq frame-resize-pixelwise t)
+(save-place-mode t)
+(savehist-mode t)
+(recentf-mode t)
+(defalias 'yes-or-no #'y-or-n-p)
A .emacs.d/config.org => .emacs.d/config.org +381 -0
@@ 0,0 1,381 @@
+#+title: Minhas configurações Emacs
+#+author: eduardoroboto
+#+email: edbn@proton.me
+
+#+STARTUP: overview
+=* Interface Tweaks
+* General Config
+** Startup, general settings
+#+begin_src emacs-lisp
+ ;; Remove initial buffer, set index file
+ (setq inhibit-startup-message t)
+ (setq initial-buffer-choice "index.org")
+
+ ;; Hide Scroll bar,menu bar, tool bar
+ (scroll-bar-mode -1)
+ (tool-bar-mode -1)
+ (menu-bar-mode -1)
+
+ (column-number-mode)
+
+ (global-display-line-numbers-mode t)
+ ;; Enable line numbers for some modes
+ (dolist (mode '(text-mode-hook
+ prog-mode-hook
+ conf-mode-hook))
+ (add-hook mode (lambda () (display-line-numbers-mode 1))))
+
+ ;; Override some modes which derive from the above
+ (dolist (mode '(org-mode-hook
+ term-mode-hook
+ eshell-mode-hook))
+ (add-hook mode (lambda () (display-line-numbers-mode 0))))
+
+#+end_src
+
+#+RESULTS:
+
+** Keep it clean
+#+begin_src emacs-lisp
+(use-package no-littering)
+
+;; no-littering doesn't set this by default so we must place
+;; auto save files in the same path as it uses for sessions
+(setq auto-save-file-name-transforms
+ `((".*" ,(no-littering-expand-var-file-name "auto-save/") t)))
+#+end_src
+
+#+RESULTS:
+| .* | /home/eduardo/.cache/emacs/var/auto-save/ | t |
+
+** AutoUpdate
+#+begin_src emacs-lisp
+(use-package auto-package-update
+ :custom
+ (auto-package-update-interval 7)
+ (auto-package-update-prompt-before-update t)
+ (auto-package-update-hide-results t)
+ :config
+ (auto-package-update-maybe))
+
+#+end_src
+* Text Editing
+** Org Mode
+#+begin_src emacs-lisp
+ (defun edbn/org-mode-setup ()
+ (org-indent-mode)
+ (visual-line-mode 1))
+
+ (use-package org
+ :ensure t
+ :hook (org-mode . edbn/org-mode-setup)
+ :config
+ (setq org-ellipsis " ▾"
+ org-hide-emphasis-markers t))
+
+ (use-package org-superstar
+ :ensure t
+ :after org
+ :hook (org-mode . org-superstar-mode)
+ :custom
+ (org-superstar-remove-leading-stars t)
+ (org-superstar-headline-bullets-list '("◉" "○" "●" "○" "●" "○" "●")))
+
+ (setq org-todo-keywords
+ '((sequence "TODO" "DOING" "|" "DONE")
+ (sequence "|" "CANCELED")
+ (sequence "|" "WAITING")))
+
+ (setq org-todo-keyword-faces
+ '(("TODO" . org-warning) ("WAITING" . "yellow")
+ ("CANCELED" . (:foreground "blue" :weight bold))))
+
+
+ (global-set-key [C-return] 'org-insert-item)
+
+
+ (dolist (face '((org-level-1 . 1.2)
+ (org-level-2 . 1.1)
+ (org-level-3 . 1.05)
+ (org-level-4 . 1.0)
+ (org-level-5 . 1.1)
+ (org-level-6 . 1.1)
+ (org-level-7 . 1.1)
+ (org-level-8 . 1.1)))
+
+
+ (defun edbn/org-mode-visual-fill ()
+ (setq visual-fill-column-width 110
+ visual-fill-column-center-text t)
+ (visual-fill-column-mode 1))
+
+ (use-package visual-fill-column
+ :ensure t
+ :defer t
+ :hook (org-mode . edbn/org-mode-visual-fill))
+
+ (set-face-attribute (car face) nil :font "Cantarell" :weight 'regular :height (cdr face)))
+
+ (setq org-file-apps
+ '((auto-mode . emacs)
+ ("\\.x?html?\\'" . "firefox %s")
+ ("\\.pdf\\'" . "zathura \"%s\"")
+ ("\\.djvu\\'" . "zathura \"%s\"")
+ ("\\.epub\\'" . "foliate \"%s\"")
+ ))
+
+#+end_src
+
+#+RESULTS:
+: ((auto-mode . emacs) (\.x?html?\' . firefox %s) (\.pdf\' . zathura "%s") (\.djvu\' . zathura "%s") (\.epub\' . foliate "%s"))
+
+** Org Babel
+#+begin_src emacs-lisp
+(org-babel-do-load-languages
+ 'org-babel-load-languages
+ '((emacs-lisp . t)
+ (python . t )
+ (shell . t )))
+(setq org-confirm-babel-evaluate nil)
+#+end_src
+
+#+RESULTS:
+** Org Roam
+#+begin_src emacs-lisp
+ (use-package org-roam
+ :ensure t
+ :init
+ (setq org-roam-v2-ack t)
+ :custom
+ (org-roam-directory "~/Documentos/org/roam")
+ (org-roam-completion-everywhere t)
+ :bind (("C-c n l" . org-roam-buffer-toggle)
+ ("C-c n f" . org-roam-node-find)
+ ("C-c n i" . org-roam-node-insert)
+ :map org-mode-map
+ ("C-M-i" . completion-at-point))
+ :config
+ (org-roam-setup))
+#+end_src
+
+#+RESULTS:
+: completion-at-point
+
+** Flyspell
+#+begin_src emacs-lisp
+(use-package flyspell-correct
+ :after flyspell
+ :bind (:map flyspell-mode-map ("C-q" . flyspell-correct-wrapper)))
+
+(use-package flyspell-correct-helm
+ :after flyspell-correct)
+#+end_src
+
+#+RESULTS:
+** neotree
+#+begin_src emacs-lisp
+ (use-package neotree
+ :ensure t
+ :bind ("C-\\" . 'neotree-toggle)
+ :config
+ (setq neo-theme (if (display-graphic-p) 'icons 'arrow)))
+
+
+#+end_src
+
+#+RESULTS:
+: neotree-toggle
+
+* Theming and fonts
+** Theme
+*** Doom-modeline
+#+begin_src emacs-lisp
+ (use-package doom-modeline
+ :init (doom-modeline-mode 1)
+ :ensure t)
+#+end_src
+
+#+RESULTS:
+
+*** rainbow-delimeters
+# search a better way to this
+#+begin_src emacs-lisp
+ (use-package rainbow-delimiters
+ :ensure t
+ :hook
+ (prog-mode . rainbow-delimiters-mode)
+ (org-mode . rainbow-delimiters-mode))
+#+end_src
+
+*** theming & aesthethic
+#+begin_src emacs-lisp
+ (use-package doom-themes
+ :defer t
+ :ensure t)
+ (load-theme 'doom-dracula t)
+ (global-hl-line-mode t) ;; This highlights the current line in the buffer
+
+ (use-package beacon ;; This applies a beacon effect to the highlighted line
+ :ensure t
+ :config
+ (beacon-mode 1))
+#+end_src
+
+#+RESULTS:
+: t
+
+** Fonts and icons
+*** all-the-icons
+#+begin_src emacs-lisp
+ (use-package all-the-icons :ensure t)
+#+end_src
+
+#+RESULTS:
+
+*** font Config
+#+begin_src emacs-lisp
+(set-frame-font "Fira Code 14" nil t)
+#+end_src
+
+#+RESULTS:
+
+* Development
+** Completion Framework
+
+#+BEGIN_SRC emacs-lisp
+(use-package vertico
+ :ensure t
+ :config
+ (vertico-mode t)
+ (define-key vertico-map (kbd "RET") #'vertico-directory-enter)
+ (define-key vertico-map (kbd "DEL") #'vertico-directory-delete-word)
+ (define-key vertico-map (kbd "M-d") #'vertico-directory-delete-char))
+#+END_SRC
+
+#+RESULTS:
+: t
+
+** Line Numbering
+
+#+BEGIN_SRC emacs-lisp
+(add-hook 'prog-mode-hook #'display-line-numbers-mode)
+#+END_SRC
+
+** LSP Support
+*** eglot
+#+BEGIN_SRC emacs-lisp
+(use-package eglot
+ :ensure t
+ :config
+ (add-hook 'prog-mode-hook #'eglot-ensure)
+ (defalias 'start-lsp-server #'eglot))
+#+END_SRC
+
+*** pyglot
+#+BEGIN_SRC emacs-lisp
+(use-package lsp-pyright
+ :ensure t
+ :hook (python-mode . (lambda ()
+ (require 'lsp-pyright)
+ (lsp)))) ; or lsp-deferred
+#+END_SRC
+
+#+RESULTS:
+| (lambda nil (require 'lsp-pyright) (lsp)) | doom-modeline-env-setup-python | evil-collection-python-set-evil-shift-width |
+
+** Inline Static Analysis
+
+#+BEGIN_SRC emacs-lisp
+(add-hook 'prog-mode-hook #'flymake-mode)
+(setq help-at-pt-display-when-idle t)
+#+END_SRC
+
+** Pop-up Completion
+
+#+BEGIN_SRC emacs-lisp
+(use-package corfu
+ :ensure t
+ :config
+ (add-hook 'prog-mode-hook #'corfu-mode))
+#+END_SRC
+
+** Indication of Local VCS Changes
+
+#+BEGIN_SRC emacs-lisp
+(use-package diff-hl
+ :ensure t
+ :config
+ (add-hook 'prog-mode-hook #'diff-hl-mode))
+#+END_SRC
+
+** Language Support
+
+#+BEGIN_SRC emacs-lisp
+(use-package csharp-mode
+ :ensure t)
+
+(use-package json-mode
+ :ensure t)
+
+(use-package lua-mode
+ :ensure t)
+
+(use-package rust-mode
+ :ensure t)
+
+(use-package sly
+ :ensure t)
+
+(use-package yaml-mode
+ :ensure t)
+#+END_SRC
+
+** LaTeX Support
+
+#+BEGIN_SRC emacs-lisp
+(use-package tex
+ :ensure auctex
+ :config
+ (setq TeX-auto-save t
+ TeX-parse-self t
+ TeX-master nil))
+#+END_SRC
+
+#+RESULTS:
+: t
+
+** Markdown Support
+
+#+BEGIN_SRC emacs-lisp
+(use-package markdown-mode
+ :ensure t)
+#+END_SRC
+
+** dashboard
+#+begin_src emacs-lisp
+(use-package dashboard
+ :ensure t
+ :config
+ (dashboard-setup-startup-hook))
+#+end_src
+
+#+RESULTS:
+: t
+
+** Miscellaneous Options
+
+#+BEGIN_SRC emacs-lisp
+(setq-default major-mode
+ (lambda () ; guess major mode from file name
+ (unless buffer-file-name
+ (let ((buffer-file-name (buffer-name)))
+ (set-auto-mode)))))
+(setq confirm-kill-emacs #'yes-or-no-p)
+(setq window-resize-pixelwise t)
+(setq frame-resize-pixelwise t)
+(save-place-mode t)
+(savehist-mode t)
+(recentf-mode t)
+(defalias 'yes-or-no #'y-or-n-p)
+#+END_SRC
+
A .emacs.d/init.el => .emacs.d/init.el +59 -0
@@ 0,0 1,59 @@
+(package-initialize)
+(require 'package)
+
+(add-to-list 'package-archives '("gnu" . "http://elpa.gnu.org/packages/"))
+(add-to-list 'package-archives '("melpa" . "http://melpa.org/packages/"))
+(add-to-list 'package-archives '("nongnu" . "https://elpa.nongnu.org/nongnu/"))
+
+;; coding-system
+(set-default-coding-systems 'utf-8)
+
+(unless (package-installed-p 'use-package)
+ (package-refresh-contents)
+ (package-install 'use-package))
+
+(require 'use-package)
+(setq use-package-always-ensure t)
+
+(use-package undo-tree
+ :ensure t
+ :config
+ (global-undo-tree-mode))
+
+;;loading evil-mode
+(use-package evil
+ :ensure t
+ :init
+ (setq evil-want-integration t)
+ (setq evil-want-keybinding nil)
+ (setq evil-want-C-u-scroll t)
+ (setq evil-want-C-i-jump nil)
+ (setq evil-respect-visual-line-mode t)
+ (setq evil-undo-system 'undo-tree)
+ :config
+ (evil-mode 1)
+ (add-hook 'evil-local-mode-hook 'global-undo-tree-mode))
+
+(use-package evil-collection
+ :ensure t
+ :after evil
+ :config
+ (evil-collection-init))
+
+(org-babel-load-file "/home/eduardo/.emacs.d/config.org")
+(custom-set-variables
+ ;; custom-set-variables was added by Custom.
+ ;; If you edit it by hand, you could mess it up, so be careful.
+ ;; Your init file should contain only one such instance.
+ ;; If there is more than one, they won't work right.
+ '(helm-minibuffer-history-key "M-p")
+ '(package-selected-packages
+ '(dashboard lsp-pyright vertico org-roam org-superstar undo-tree neotree flyspell-correct-helm flyspell-correct docker-compose-mode magit yaml-mode which-key visual-fill-column use-package rainbow-delimiters no-littering lsp-ui lsp-treemacs lsp-jedi lsp-haskell helm-lsp flycheck evil-visual-mark-mode evil-collection doom-themes doom-modeline-now-playing dash-functional company-box beacon auto-package-update auto-complete))
+ '(warning-suppress-log-types '((comp) (comp)))
+ '(warning-suppress-types '((server) (comp))))
+(custom-set-faces
+ ;; custom-set-faces was added by Custom.
+ ;; If you edit it by hand, you could mess it up, so be careful.
+ ;; Your init file should contain only one such instance.
+ ;; If there is more than one, they won't work right.
+ )
A .scripts/songs2card => .scripts/songs2card +9 -0
@@ 0,0 1,9 @@
+#!/usr/bin/env bash
+
+
+if command -v ffmpeg &>/dev/null; then
+ echo ""
+else
+ echo "ffmpeg is not installed."
+ exit 1
+fi